dev-php / PEAR-Exception

The PEAR Exception base class

Official package sites : https://pear.php.net/package/PEAR_Exception ·

v1.0.0 :: 0 :: gentoo

Modified
License
BSD-2
Keywords
amd64 arm hppa ia64 ppc ppc64 sparc x86 ~alpha ~s390 ~sh
USE flags
test

General

test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

dev-lang / php : The PHP language runtime engine

dev-php / phpunit : A PHP Unit Testing framework

dev-lang / php : The PHP language runtime engine

dev-php / PEAR-Crypt_GPG : PHP interface to the GNU Privacy Guard (GnuPG)

dev-php / PEAR-PEAR : PEAR Base System

Repository mirror & CI · gentoo
Merge updates from master
Matt Turner · gentoo
dev-php/*: Drop to ~alpha
Signed-off-by: Matt Turner <mattst88@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michael Mair-Keimberger · gentoo
dev-php/PEAR-Exception: use HTTPS
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Signed-off-by: Aaron Bauman <bman@gentoo.org>
Michael Orlitzky · gentoo
dev-php/PEAR-Exception: add keywords ~s390 and ~sh (for new PEAR-PEAR).
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Michael Orlitzky · gentoo
dev-php/PEAR-Exception: stabilize everywhere per ALLARCHES policy.
Bug: https://bugs.gentoo.org/645146 Package-Manager: Portage-2.3.19, Repoman-2.3.6
Sergei Trofimovich · gentoo
dev-php/PEAR-Exception: stable 1.0.0 for ia64, bug #645146
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64"
Rolf Eike Beer · gentoo
dev-php/PEAR-Exception: stable 1.0.0 for sparc, bug #645146
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-php/PEAR-Exception: keyworded 1.0.0 for sparc, bug #613380
Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="sparc"
Michael Orlitzky · gentoo
dev-php/PEAR-Exception: add ~alpha and ~x86 keywords.
This is pure PHP code, what could possibly go wrong? We need this for half of the packages in dev-php, and it's been 8 months, so... bam. Bug: https://bugs.gentoo.org/613380 Package-Manager: Portage-2.3.8, Repoman-2.3.3
Sergei Trofimovich · gentoo
dev-php/PEAR-Exception: keyworded 1.0.0 for ppc, bug #613380
Package-Manager: Portage-2.3.6, Repoman-2.3.3 RepoMan-Options: --include-arches="ppc"
Sergei Trofimovich · gentoo
dev-php/PEAR-Exception: keyworded 1.0.0 for ppc64, bug #613380
Package-Manager: Portage-2.3.6, Repoman-2.3.3 RepoMan-Options: --include-arches="ppc64"
Sergei Trofimovich · gentoo
dev-php/PEAR-Exception: ia64 keyworded, bug #613380
Package-Manager: Portage-2.3.6, Repoman-2.3.2 RepoMan-Options: --include-arches="ia64"
Jeroen Roovers · gentoo
dev-php/PEAR-Exception: Mark ~hppa (bug #613380).
Package-Manager: Portage-2.3.5, Repoman-2.3.2 RepoMan-Options: --ignore-arches
Michael Weber · gentoo
dev-php/PEAR-Exception: add ~arm keyword (bug 613380).
Package-Manager: Portage-2.3.5, Repoman-2.3.2 RepoMan-Options: --include-arches="arm"
Michael Orlitzky · gentoo
dev-php/PEAR-Exception: new package supplying the PEAR/Exception class.
Right now, most of the dev-php/PEAR-* packages in the tree depend on dev-php/PEAR-PEAR. However, most of them only need to do so for one class, PEAR/Exception. This new package (a legit, separate upstream package) provides that class and nothing else. Package-Manager: Portage-2.3.3, Repoman-2.3.1